Upload Runtime File

View as Markdown

Upload a local file directly into the runtime workspace (also stored as a space file). Use stage if the file is already in the store.

Authentication

AuthorizationBearer

Use Bearer <api-key>.

Path parameters

runtimeIdstringRequired

Request

This endpoint expects a multipart form containing a file.
destinationPathstringOptional<=4096 characters
Optional durable BCTRL file path before staging into the runtime. When omitted, the server generates a managed path.
filefileRequired
File bytes to upload to the runtime space and materialize in the runtime.
metadatastringOptional

Optional JSON object string with caller-owned file metadata.

namestringOptional<=255 characters
Optional display filename and staged runtime filename.
runtimePathstringOptional<=4096 characters
Optional runtime workspace destination path. Must be relative to the runtime workspace.

Response

OK
expiresAtdatetime or null
idstring>=1 character
namestring1-255 characters
runtimeIdstringformat: "uuid"
runtimePathstring>=1 character
sizeBytesinteger0-9007199254740991

Errors

400
Bad Request Error
401
Unauthorized Error
403
Forbidden Error
404
Not Found Error
429
Too Many Requests Error
500
Internal Server Error
503
Service Unavailable Error